POST Patients (Bulk)
Important notes:
Upload at most 3,000 patients at a time. If we need more than 3,000 at any given time, then patients can be uploaded via an exported File, the API can be called 3,000 patients at a time.
- externalPatientId is the field needed to tie the Patient in FeatherPay DB to the PMS Patient. This ID represents the PMS Identifier field for that given patient.
Create / Update patients
From your backend code, create / update the patients with your store id and private key.
POST
https://gfp-api.acdev.io/api/v1/patients/bulk
Body Parameters
- externalPatientIdstringrequiredDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- emailstringDescription
- smsPhoneNumberstringDescription
- addressLine1stringDescription
- addressLine2stringDescription
- addressCitystringDescription
- addressStatestringDescription
- addressZipstringDescription
- dateOfBirthstringDescription
json
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/patients/bulk' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
[{
"externalPatientId": "307",
"firstName": "John",
"lastName": "Snow",
"email": "[email protected]",
"smsPhoneNumber": "+15556873509",
"addressLine1": "1 Castle",
"addressCity": "Winterfell",
"addressState": "GA",
"addressZip": "30030",
"dateOfBirth": "1990-03-20"
},
{
"externalPatientId": "1848",
"firstName": "Daenerys",
"lastName": "Targaryen",
"email": "[email protected]",
"smsPhoneNumber": "+15551234567",
"addressLine1": "1 Khaleesi Way",
"addressCity": "Great Seas",
"addressState": "NH",
"addressZip": "00030",
"dateOfBirth": "1991-01-03"
}
]'200
{
"deleted":false,
"numSuccess":2,
"numFailure":0
}